CLOUD-INIT(1)

NAME
cloud-init - Cloud instance initialization

SYNOPSIS
cloud-init [-h] [-d] [-f FILES] [--force] [-v] [SUBCOMMAND]

DESCRIPTION
Cloud-init provides a mechanism for cloud instance initialization. This is done by identifying the cloud platform that is in use, reading provided cloud metadata and optional vendor and user data, and then initializing the instance as requested. Generally, this command is not normally meant to be run directly by the user. However, some subcommands may useful for development or debug of deployments.

OPTIONS

-h, --help
    Show help message and exit.

-d, --debug
    Show additional pre-action logging (default: False).

-f <files>, --files <files>
    Use additional YAML configuration files.

--force
    Force running even if no datasource is found (use at your own risk).

-v, --version
    Show program's version number and exit.

SUBCOMMANDS
Please see the help output for each subcommand for additional details, flags, and subcommands.

analyze
    Analyze cloud-init logs and data.

collect-logs
    Collect and tar all cloud-init debug info.

clean
    Remove logs and artifacts so cloud-init can re-run.

devel
    Run development tools. See help output for subcommand details.

features
    List defined features.

init
    Initialize cloud-init and execute initial modules.

modules
    Activate modules using a given configuration key.

query
    Query standardized instance metadata from the command line.

schema
    Validate cloud-config files using jsonschema.

single
    Run a single module.

status
    Report cloud-init status or wait on completion.

COPYRIGHT
Copyright (C) 2020 Canonical Ltd. License GPL-3 or Apache-2.0

SEE ALSO
Full documentation at: <https://cloudinit.readthedocs.io>